org.bouncycastle.asn1.tsp

## Class TimeStampReq

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.tsp.TimeStampReq

All Implemented Interfaces:
  DEREncodable

    public class TimeStampReq
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`TimeStampReq(ASN1Sequence seq)`
`TimeStampReq(MessageImprint messageImprint, DERObjectIdentifier tsaPolicy, DERInteger nonce, DERBoolean certReq, X509Extensions extensions)`

### Method Summary

Methods
`DERBoolean` `getCertReq()`
`X509Extensions` `getExtensions()`
`static TimeStampReq` `getInstance(java.lang.Object o)`
`MessageImprint` `getMessageImprint()`
`DERInteger` `getNonce()`
`DERObjectIdentifier` `getReqPolicy()`
`DERInteger` `getVersion()`
`DERObject` `toASN1Object()` TimeStampReq ::= SEQUENCE { version INTEGER { v1(1) }, messageImprint MessageImprint, --a hash algorithm OID and the hash value of the data to be --time-stamped reqPolicy TSAPolicyId OPTIONAL, nonce INTEGER OPTIONAL, certReq BOOLEAN DEFAULT FALSE, extensions [0] IMPLICIT Extensions OPTIONAL }

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimeStampReq

    public TimeStampReq(ASN1Sequence seq)

#### TimeStampReq

    public TimeStampReq(MessageImprint messageImprint,
                DERObjectIdentifier tsaPolicy,
                DERInteger nonce,
                DERBoolean certReq,
                X509Extensions extensions)

### Method Detail

#### getInstance

    public static TimeStampReq getInstance(java.lang.Object o)

#### getVersion

    public DERInteger getVersion()

#### getMessageImprint

    public MessageImprint getMessageImprint()

#### getReqPolicy

    public DERObjectIdentifier getReqPolicy()

#### getNonce

    public DERInteger getNonce()

#### getCertReq

    public DERBoolean getCertReq()

#### getExtensions

    public X509Extensions getExtensions()

#### toASN1Object

    public DERObject toASN1Object()

     TimeStampReq ::= SEQUENCE  {
      version                      INTEGER  { v1(1) },
      messageImprint               MessageImprint,
        --a hash algorithm OID and the hash value of the data to be
        --time-stamped
      reqPolicy             TSAPolicyId              OPTIONAL,
      nonce                 INTEGER                  OPTIONAL,
      certReq               BOOLEAN                  DEFAULT FALSE,
      extensions            [0] IMPLICIT Extensions  OPTIONAL
     }

Specified by:
  `toASN1Object` in class `ASN1Encodable`